{ config, lib, inputs, ... }: {
  imports = [ ./hardware.nix ../../modules/server ];

  system.autoUpgrade = {
    enable = true;
    flake = "git+https://git.helcel.net/sora/nixconfig"; 
    flags = [
      "--no-write-lock-file"
    ];
    dates = "04:00";
    randomizedDelaySec = "30min";
    allowReboot = false;
  };

  networking.extraHosts = ''
    10.10.1.2     git.helcel.net
    10.10.1.2     avalon.helcel.net
  '';

}
